Network Mapper (Partner) — v3
curl --request POST \
--url https://bee.theswarm.com/v3/network-mapper \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"query": {},
"mapping_company_website": "<string>",
"callback_url": "<string>"
}
'import requests
url = "https://bee.theswarm.com/v3/network-mapper"
payload = {
"query": {},
"mapping_company_website": "<string>",
"callback_url": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: {}, mapping_company_website: '<string>', callback_url: '<string>'})
};
fetch('https://bee.theswarm.com/v3/network-mapper', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bee.theswarm.com/v3/network-mapper",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => [
],
'mapping_company_website' => '<string>',
'callback_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://bee.theswarm.com/v3/network-mapper"
payload := strings.NewReader("{\n \"query\": {},\n \"mapping_company_website\": \"<string>\",\n \"callback_url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://bee.theswarm.com/v3/network-mapper")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"query\": {},\n \"mapping_company_website\": \"<string>\",\n \"callback_url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://bee.theswarm.com/v3/network-mapper")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": {},\n \"mapping_company_website\": \"<string>\",\n \"callback_url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"profile": {
"full_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_title": "<string>",
"linkedin_url": "<string>",
"work_email": "<string>",
"current_company_name": "<string>",
"current_company_website": "<string>"
},
"connections": [
{
"connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_name": "<string>",
"connector_linkedin_url": "<string>",
"connector_current_title": "<string>",
"connector_current_company_name": "<string>",
"connection_strength_normalized": 123,
"connection_strength": 123,
"manual_strength": 123,
"sources": [
{
"origin": "linkedin_connection",
"shared_company": "<string>",
"shared_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shared_company_website": "<string>",
"shared_company_linkedin_slug": "<string>",
"overlap_start_date": "<string>",
"overlap_end_date": "<string>",
"overlap_duration_months": 123,
"shared_school": "<string>",
"shared_major": "<string>",
"graduation_year": "<string>",
"investor": "<string>",
"portfolio_company": "<string>"
}
]
}
]
}
],
"count": 123,
"total_count": 123
}{
"task_id": "<string>"
}{
"code": 123,
"errors": [
"<string>"
]
}{
"code": 123,
"errors": [
"<string>"
]
}For Partners
Network Mapper
Map connections across the partner network. Partner permission required.
POST
/
v3
/
network-mapper
Network Mapper (Partner) — v3
curl --request POST \
--url https://bee.theswarm.com/v3/network-mapper \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"query": {},
"mapping_company_website": "<string>",
"callback_url": "<string>"
}
'import requests
url = "https://bee.theswarm.com/v3/network-mapper"
payload = {
"query": {},
"mapping_company_website": "<string>",
"callback_url": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: {}, mapping_company_website: '<string>', callback_url: '<string>'})
};
fetch('https://bee.theswarm.com/v3/network-mapper', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bee.theswarm.com/v3/network-mapper",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => [
],
'mapping_company_website' => '<string>',
'callback_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://bee.theswarm.com/v3/network-mapper"
payload := strings.NewReader("{\n \"query\": {},\n \"mapping_company_website\": \"<string>\",\n \"callback_url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://bee.theswarm.com/v3/network-mapper")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"query\": {},\n \"mapping_company_website\": \"<string>\",\n \"callback_url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://bee.theswarm.com/v3/network-mapper")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": {},\n \"mapping_company_website\": \"<string>\",\n \"callback_url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"profile": {
"full_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_title": "<string>",
"linkedin_url": "<string>",
"work_email": "<string>",
"current_company_name": "<string>",
"current_company_website": "<string>"
},
"connections": [
{
"connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_name": "<string>",
"connector_linkedin_url": "<string>",
"connector_current_title": "<string>",
"connector_current_company_name": "<string>",
"connection_strength_normalized": 123,
"connection_strength": 123,
"manual_strength": 123,
"sources": [
{
"origin": "linkedin_connection",
"shared_company": "<string>",
"shared_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shared_company_website": "<string>",
"shared_company_linkedin_slug": "<string>",
"overlap_start_date": "<string>",
"overlap_end_date": "<string>",
"overlap_duration_months": 123,
"shared_school": "<string>",
"shared_major": "<string>",
"graduation_year": "<string>",
"investor": "<string>",
"portfolio_company": "<string>"
}
]
}
]
}
],
"count": 123,
"total_count": 123
}{
"task_id": "<string>"
}{
"code": 123,
"errors": [
"<string>"
]
}{
"code": 123,
"errors": [
"<string>"
]
}Partner permission required. Calls from an API key not tied to a team with the partner permission in Stripe return 403 Forbidden.
Pricing
| Response | Cost |
|---|---|
| Non-empty response | 1 credit per response |
| Empty response | Free |
GET /credits/usage.
Permissions
| Caller | Behavior |
|---|---|
| API key tied to a team with partner permission in Stripe | Endpoint available |
| Any other API key | Returns 403 Forbidden |
Responses
In addition to the standard error responses, this endpoint may return:402 Payment Required— your team’s API credit allowance has been exceeded. Top up or upgrade your plan to continue. See Credits & Usage.
Response schema
See Models > Network Mapper Partner.Task status
Long-running queries can be polled with the Network Mapper Status endpoint.Body
application/json
Search query in the ElasticSearch Query DSL format. Find mapping here
Was this page helpful?

